import { _decorator, Component, Node, view, macro, ResolutionPolicy, screen, Size, director, Widget } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('NewComponent')
export class NewComponent extends Component {
    start() {
       
        let frameSize = view.getFrameSize();
        // let frameSize = screen.windowSize;


        view.setOrientation(macro.ORIENTATION_LANDSCAPE)
        if (frameSize.height > frameSize.width) {
            screen.windowSize = new Size(frameSize.height, frameSize.width)
        }
        view.setDesignResolutionSize(frameSize.height, frameSize.width, ResolutionPolicy.FIXED_WIDTH);


        // let node = director.getScene()?.getChildByName('Canvas');
        // const widget = node.getComponent(Widget);
        // if (widget) {
        //     widget.updateAlignment();
        // }
        window.dispatchEvent(new Event('resize'))
        let ele = document.getElementById('GameDiv');
        ele.style['-webkit-transform'] = 'rotate(90deg)';
        ele.style.transform = 'rotate(90deg)';
        ele.style['-webkit-transform-origin'] = '0px 0px 0px';
        ele.style.transformOrigin = '0px 0px 0px';
        ele.style.margin = "0 -" + frameSize.height + "px " + frameSize.width + "px " + (frameSize.width-30) + "px";
        ele.style.width = frameSize.height + "px";
        ele.style.height = frameSize.width + "px";



    }



    update(deltaTime: number) {

    }
}


